Summary:       A library for interfacing IEEE 1284-compatible devices
Name:          libieee1284
Version:       0.2.11
Release:       3%{?dist}
License:       GPLv2+
URL:           http://cyberelk.net/tim/libieee1284/
Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch3001:     libieee1284-strict-aliasing.patch

BuildRequires: gcc make libtool xmlto

%description
The libieee1284 library is for communicating with parallel port devices.


%package devel
Summary:       Files for developing applications that use libieee1284
Requires:      %{name} = %{version}-%{release}

%description devel
The header files, static library, libtool library and man pages for
developing applications that use libieee1284.


%prep
%autosetup -p1


%build
autoreconf -iv
touch doc/interface.xml
%configure --without-python
%make_build


%install
rm -rf %{buildroot}
%make_install
find %{buildroot}%{_libdir} -name "*.a" -delete
find %{buildroot}%{_libdir} -name "*.la" -delete


%files
%license COPYING
%doc README TODO AUTHORS NEWS
%{_libdir}/*.so.*
%{_bindir}/*


%files devel
%{_includedir}/ieee1284.h
%{_libdir}/*.so
%{_mandir}/*/*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.11-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 07 2023 rockerzhu <rockerzhu@tencent.com> - 0.2.11-1
- Initial build
